Skip to main content
GET
/
api
/
external
/
v2
/
subscription-bundlings
/
external
/
get-bundle
/
{handle}
Get bundle details by handle
curl --request GET \
  --url https://membership-admin.appstle.com/api/external/v2/subscription-bundlings/external/get-bundle/{handle}
{
  "bundle": {
    "shop": "<string>",
    "id": 123,
    "subscriptionBundlingEnabled": true,
    "subscriptionId": 123,
    "minProductCount": 123,
    "maxProductCount": 123,
    "discount": 123,
    "uniqueRef": "<string>"
  },
  "subscription": {
    "shop": "<string>",
    "id": 123,
    "groupName": "<string>",
    "subscriptionId": 123,
    "productCount": 123,
    "productVariantCount": 123,
    "infoJson": "<string>",
    "productIds": "<string>",
    "variantIds": "<string>",
    "variantProductIds": "<string>",
    "customerTag": "<string>",
    "orderTag": "<string>",
    "rulesJson": "<string>",
    "formFieldsJson": "<string>",
    "savedSearchId": "<string>",
    "savedSegmentSearchId": "<string>",
    "planSequence": 123,
    "memberOrderTag": "<string>",
    "translations": "<string>"
  },
  "products": [
    {
      "shop": "<string>",
      "id": 123,
      "productId": 123,
      "productTitle": "<string>",
      "productHandle": "<string>"
    }
  ],
  "variants": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Path Parameters

handle
string
required

Unique bundle identifier (handle/slug)

Query Parameters

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

Response

Bundle details successfully retrieved

bundle
object
subscription
object
products
object[]
variants
string[]